nvidia-smi(1)

NAME
nvidia-smi - NVIDIA System Management Interface program

SYNOPSIS
nvidia-smi [options]

Options: [-h, --help] [-x, --xml-format] [-f filename, --filename=filename]
[-l, --loop-continuously] [-i sec, --interval=sec]
[-t unit-number, --toggle-led=unit-number]
[-a, --all-gpus ] [-d, --discrete-gpus ]
[-L, --list-gpus ] [-g gpu-id, --gpu=gpu-id]
[-c ruleset, --compute-mode-rules=ruleset]
[-s, --show-compute-mode-rules ] [-e, --ecc-config=config]
[-r, --report-ecc-config ]

DESCRIPTION

The NVIDIA System Management Interface (nvidia-smi) program provides system state and diagnostic information for the NVIDIA Tesla S870. It provides these data in either plain text or XML format, printed to stdout or optionally written to a user specified file.

OPTIONS

-h, --help
    Print usage information and exit.

-x, --xml-format
    Produce XML output. Unless an output file is specified using the -f option, all data are output to stdout.

-f filename
--filename=filename
    Log to the named file filename, rather than to stdout.

-l, --loop-continuously
    Probe continuously, outputting to stdout unless an output file is specified using the -f option. If an output file is specified, it is updated on each loop iteration.

-i sec
--interval=sec
    Probe once every sec seconds when probing continuously. The default and minimum interval is 1 second.

-t unit-number
--toggle-led=unit-number
    Toggle the LED state (ON -> OFF or OFF -> ON) for unit unit-number. The unit number of an NVIDIA Tesla S870 unit can be found in the log file. Each NVIDIA Tesla S870 unit attached to a given system has a unique unit number within that system.

-a, --all-gpus
    Include discrete GPUs when listings and consider them for GPU specific options if no GPU is specified using the -g option. Discrete GPUs are GPUs not installed in QuadroPlex and/or Tesla computing systems.

-d, --discrete-gpus
    Include only discrete GPUs in listings and consider them exclusively for GPU specific options if no GPU is specified using the -g option.

-L, --list-gpus
    Print a list of installed GPUs and exit. By default, discrete GPUs are not listed. This behavior can be changed with the -a and -d options.

-g gpu-id
--gpu=gpu-id
    Specify the GPU to be targeted when specifying GPU specific options, such as --show-compute-mode-rules. The appropriate gpu-id identifier can be obtained using the -L option.

-q, --query-gpu-info
    Report miscellaneous information about a given GPU or set of GPUs. Unless the -g option is used to select a specific GPU, information for a set of GPUs is reported. By default, this set only includes GPUs installed in QuadroPlex and/or Tesla computing systems are listed. The -a and -d options can be used to change the set.

-c ruleset
--compute-mode-rules=ruleset
    Set the compute mode rules to ruleset for the GPU specified using the -g option.
    ruleset may be one of the following:
    0 - Normal mode
    1 - COMPUTE exclusive mode (only one COMPUTE program is allowed to run on the GPU)
    2 - COMPUTE prohibited mode (no COMPUTE programs are allowed to run on the GPU)

-s, --show-compute-mode-rules
    Display the current compute mode ruleset for the GPU specified using the -g option.

-e config
--ecc-config=config
    Set the ECC configuration to config for the GPU specified using the -g option. Changes take effect with the next system boot. The -q option reports ECC error statistics if ECC is supported and enabled.
    config may be one of the following:
    0 - Disabled
    1 - Enabled (ECC will be used for video memory and some engines)

-r, --report-ecc-config
    Display the current compute mode ruleset for the GPU specified using the -g option.

EXAMPLES

nvidia-smi
    Probe once and log all relevant data to stdout.

nvidia-smi -l
    Probe continuously and log to stdout.

nvidia-smi -x -f newfile
    Probe once and log to the file newfile in XML format.

nvidia-smi -g 0 -s
    Report the current COMPUTE ruleset for GPU 0.

AUTHOR
Mayank Kaushik
NVIDIA Corporation

COPYRIGHT
Copyright © 2007 NVIDIA Corporation.